// LesEtoiles.h: interface for the LesEtoiles class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_LESETOILES_H_)
#define _LESETOILES_H_

#include <vector>
#include <iostream.h>
#include "Etoile.h"

using namespace std ;

class LesEtoiles  
{
public:
	LesEtoiles();
	virtual ~LesEtoiles();
	int Lire(ifstream &);				// Used by Charger
	void Afficher(float MagLimite);		// Draw all the stars
	void Charger(char * filename);		// Load all the stars from the file
	int Rechercher(vec3_t Pos);			// Search the star by position
	Etoile * Rechercher(unsigned int);	// Search the star by HR number
	// Return data about the selected star
	void InfoSelect(vec3_t & XYZ_t, float & Ra,float & De,float & Mag,char * & Nom,unsigned int & HR, vec3_t & RGB, const char * & CommonName) 
	{	XYZ_t=(*Selectionnee).XYZ;
		Ra=(*Selectionnee).RaRad;
		De=(*Selectionnee).DecRad;
		Mag=(*Selectionnee).Mag;
		Nom=(*Selectionnee).Name;
		HR=(*Selectionnee).HR;
		RGB=(*Selectionnee).RGB;
		CommonName=((*Selectionnee).CommonName).c_str();
	}


private:
	vector<Etoile*> Liste;				// Star list of star*
	Etoile * Selectionnee;				// Selected star
};

#endif // !defined(_LESETOILES_H_)
