// Global Variables.... partialy shared with other files
// Yes there are a lot but it's for optimisation ;)

#ifndef __VARIABLESH__
#define __VARIABLESH__

#define RAYON 500

// Conversion in standar Julian time format
#define SECONDE 0.00001157407407407407407407407407407407407407407
#define MINUTE 0.00069444444444444444444444444444444444444444444
#define HEURE 0.04166666666666666666666666666666666666666666666

// Important variables (Position etc...)
float AzVision=0.0,AltVision=0.0, deltaRa=0.0,deltaDe=0.0,coefciel=0,RaZenith,DeZenith;
vec3_t XYZVision, Pointeur, XYZVisionAltAz(0,0,1);
float Ouv=60.0, deltaOuv=0;								// Ouv : Field of view
float Longitude=4.45f,Latitude=48.5f;
ObsInfo LeLieu(Longitude,Latitude, -2);
double JDay;											// Julian day

int winW = 800;
int winH = 600;

double ChampPrecalc;

bool FlagMessier=true,FlagSol=true,FlagHorizon=true,FlagVoieLactee=true,FlagVoute=true,FlagLignes=false,FlagCiel=false, Flaganim=true, Flaganimmin=false, FlagSelect=false, FlagCardinaux=true, FlagTexte=true, FlagConst=false,FlagNomConst=false, FlagEquateurCeleste=false ,FlagEcliptique=false,FlagLignesAzimuth=false, FlagMenu=true, FlagTexteMenu=false, FlagHelp=false, FlagInfo=false, FlagPlanetes=true, FlagDeplacement=false;

char *appName = "Stellarium v 0.3.6";

int font=(int)GLUT_BITMAP_8_BY_13;
char gameModeString[40] = "640x480";

int texIds[500];										// Textures numbers

int DeltaTemps, frame,timefr,timebase=0, timebase2=0;	// For FPS calc
float Fps=40;
char s2[60];

char infoObjet[100]="Selection : -";

char sDate[50];
char sHeure[50];
char stexteMenu[50];

int rotPointer=0;

/*float vl1=0;
float vl2=0;
float vl3=0;*/

struct SELECT											// Struct used to store data on the selected star
{	vec3_t XYZ;
	float Mag;
	char * Nom;
	unsigned int HR;
	unsigned int MessierNum;
	unsigned int NGCNum;
	float Size;
	float RA,DE;
	int RAh,RAm;
	double Distance;
	float RAs;
	vec3_t RGB;
	char * CommonName;
	char type;
}	ObjetSelectionne;


#endif	// __VARIABLESH__
